Merge "Add stable/2210 to docker builder"
authorVratko Polak <vrpolak@cisco.com>
Thu, 20 Oct 2022 12:28:23 +0000 (12:28 +0000)
committerGerrit Code Review <gerrit@fd.io>
Thu, 20 Oct 2022 12:28:23 +0000 (12:28 +0000)
jjb/global-macros.yaml
jjb/hicn/hicn-docs.yaml
jjb/hicn/hicn.yaml
jjb/scripts/post_build_deploy_archives.sh
jjb/scripts/vpp/build.sh
jjb/scripts/vpp/debug-build.sh
jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh [new file with mode: 0644]
jjb/scripts/vpp/gcc-build.sh
jjb/tldk/include-raw-build.sh
jjb/vpp/vpp.yaml

index ad10825..c2c24ca 100644 (file)
           failure: false
           success: true
 
+- publisher:
+    name: vpp-dpdk-rdma-version-mismatch
+    publishers:
+      - email-ext:
+          # NOTE: noreply@jenkins.fd.io must be a member of vpp-build@lists.fd.io
+          #       for the email to be distributed to the group members.
+          # yamllint disable-line rule:line-length
+          recipients: 'vpp-build@lists.fd.io'
+          reply-to: ''
+          content-type: 'text'
+          subject: '{branch}: vpp-dpdk-rdma-version-mismatch job failed!'
+          # yamllint disable-line rule:line-length
+          body: |
+              Build $BUILD_NUMBER of $JOB_NAME failed.
+              Check $BUILD_URL
+              console log to see if the job failed due to a package version mismatch or
+              a CI infra issue. If the failure was due to a CI infra issue, then
+              there is nothing else to be done.
+
+              However, if there was a package version mismatch, then the MLX driver
+              is NOT being built in the VPP DPDK library. Please push a gerrit change
+              with the updated package version(s) in the version matrix file, resolve
+              any build issues, and merge the change to re-enable the building of the
+              MLX DPDK driver in the VPP DPDK library.
+
+              Thanks,
+              The VPP Build Maintainers
+
+          failure: true
+          success: false
+
 - publisher:
     name: email-notification
     publishers:
index 4423af8..89fb9fc 100644 (file)
@@ -54,7 +54,7 @@
           build-timeout: "{build-timeout}"
 
     triggers:
-      - gerrit-trigger-checkstyle:
+      - gerrit-trigger-checkstyle-nonvoting:
           name: "{project}"
           branch: "{branch}"
 
index 2d230c4..ab41a8a 100644 (file)
               branches:
                 - branch-compare-type: "ANT"
                   branch-pattern: "**/{branch}"
-          override-votes: true
-          gerrit-build-notbuilt-verified-value: 0
-          gerrit-build-successful-verified-value: 1
           # yamllint disable-line rule:line-length
           notbuilt-message: "Automatic retry of failed jobs may be in process. A proper vote should be set when retry completes."
           # yamllint disable-line rule:line-length
           successful-message: "build_success-{stream}-{os}-{executor-arch}"
           skip-vote:
             successful: true
-            failed: false
-            unstable: false
-            notbuilt: false
+            failed: true
+            unstable: true
+            notbuilt: true
+          override-votes: true
+          gerrit-build-successful-verified-value: 1
+          gerrit-build-failed-verified-value: 1
+          gerrit-build-unstable-verified-value: 1
+          gerrit-build-notbuilt-verified-value: 1
 
     builders:
       - shell: !include-raw-escape:
     name: "hicn-verify-functest-{stream}-{os}-{executor-arch}"
 
     project-type: freestyle
-    node: "centos7-docker-4c-4g"
+    node: "ubuntu2004-docker-4c-4g"
     concurrent: true
 
     properties:
           output-path: "tests"
           pass-threshold: 75.0
           only-critical: false
+      - fdio-infra-publish
 
 - job-template:
     name: "hicn-merge-{stream}-{os}-{executor-arch}"
index 02a56f1..a332f21 100755 (executable)
@@ -19,6 +19,10 @@ set +e  # Do not affect the build result if some part of archiving fails.
 WS_ARCHIVES_DIR="$WORKSPACE/archives"
 BUILD_ENV_LOG="$WS_ARCHIVES_DIR/_build-enviroment-variables.log"
 
+if curl --output robot-plugin.zip "$BUILD_URL/robot/report/*zip*/robot-plugin.zip"; then
+    unzip -d ./archives robot-plugin.zip
+fi
+
 # Generate gdb-command script to output vpp stack traceback from core files.
 gdb_cmdfile="/tmp/gdb-commands"
 cat >$gdb_cmdfile <<'__END__'
index 3ee4748..34d16d4 100644 (file)
@@ -40,9 +40,6 @@ BUILD_RESULT="SUCCESSFULLY COMPLETED"
 BUILD_ERROR=""
 RETVAL="0"
 
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
 if [ -n "${MAKE_PARALLEL_FLAGS}" ] ; then
   echo "Building VPP. Number of cores for build set with" \
        "MAKE_PARALLEL_FLAGS='${MAKE_PARALLEL_FLAGS}'."
index ea742fb..6d9fabc 100644 (file)
@@ -27,9 +27,6 @@ BUILD_RESULT="SUCCESSFULLY COMPLETED"
 BUILD_ERROR=""
 RETVAL="0"
 
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
 # run with ASAN on
 # disable ASAN for now in the debug build - it's broken with PAPI
 # in make test transitioning to unix sockets
diff --git a/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh b/jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh
new file mode 100644 (file)
index 0000000..b224806
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# Copyright (c) 2022 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+echo "---> jjb/scripts/vpp/dpdk-rdma-version-mismatch.sh"
+
+set -euxo pipefail
+
+line="*************************************************************************"
+EXTERNAL_BUILD_DIR="$WORKSPACE/build/external"
+RETVAL="0"
+MISMATCH_RESULT="INCLUDED IN"
+
+make -C "$EXTERNAL_BUILD_DIR" build-deb
+source "$EXTERNAL_BUILD_DIR/dpdk_mlx_default.sh" || true
+
+if [ "${DPDK_MLX_DEFAULT-}" = "n" ] ; then
+    MISMATCH_RESULT="MISSING FROM"
+    RETVAL="1"
+fi
+echo -e "\n$line\n* MLX DPDK DRIVER $MISMATCH_RESULT VPP-EXT-DEPS PACKAGE\n$line\n"
+exit $RETVAL
index 4887745..1d81600 100644 (file)
@@ -25,9 +25,6 @@ DRYRUN="${DRYRUN:-}"
 BUILD_RESULT="SUCCESSFULLY COMPLETED"
 BUILD_ERROR=""
 RETVAL="0"
-
-echo "sha1sum of this script: ${0}"
-sha1sum $0
 export CC=gcc
 
 make_build_release_build_test_gcov_sanity() {
index d2baf0c..287e707 100755 (executable)
@@ -25,9 +25,6 @@ else
     echo "Cannot find /etc/bootstrap-functions.sha"
 fi
 
-echo "sha1sum of this script: ${0}"
-sha1sum $0
-
 # Make TLDK
 make
 
@@ -55,4 +52,3 @@ then
        echo "* TLDK OFO/LOST SEGMENT TESTS SUCCESSFUL"
        echo "*****************************************************************"
 fi
-
index 7cd1136..cdda5bc 100644 (file)
 
 # [end] VPP-DEBUG-X86_64 PROJECT
 
+# VPP-DPDK-RDMA-VERSION-MISMATCH-X86_64 PROJECT
+#
+# Currently a periodic job due to intermittent failures.
+# Limiting branches to master, since other branches
+# may not get fixes for the intermittent failures.
+#
+- project:
+    name: vpp-dpdk-rdma-version-mismatch-x86_64
+    jobs:
+      - 'vpp-dpdk-rdma-version-mismatch-{stream}-{os}-{executor-arch}'
+    project: 'vpp'
+    make-test-os: 'ubuntu-22.04'
+    comment-trigger-value: 'dpdk-rdma-version-mismatch'
+    stream:
+      - 'master':
+          branch: 'master'
+          # Once per day at 00:15
+          periodicity: '15 0 * * 0-6'
+    os: 'ubuntu2204'
+    executor-arch: 'x86_64'
+
+# [end] VPP-DPDK-RDMA-VERSION-MISMATCH-X86_64 PROJECT
+
 # VPP-GCC-X86_64 PROJECT
 - project:
     name: vpp-gcc-x86_64
       - fdio-infra-publish
 # [end] VPP-DEBUG-VERIFY-PERIODIC JOB TEMPLATE
 
+# VPP-DPDK-RDMA-VERSION-MISMATCH PERIODIC JOB TEMPLATE
+- job-template:
+    name: 'vpp-dpdk-rdma-version-mismatch-{stream}-{os}-{executor-arch}'
+
+    project-type: freestyle
+    node: 'builder-{os}-prod-{executor-arch}'
+    concurrent: true
+
+    properties:
+      - lf-infra-properties:
+          build-days-to-keep: "{build-days-to-keep}"
+
+    # Please keep parameters in alphabetical order
+    parameters:
+      - gerrit-parameter:
+          branch: '{branch}'
+      - make-parallel-jobs-parameter:
+          make-parallel-jobs: '{make-parallel-jobs}'
+      - make-test-os-parameter:
+          make-test-os: '{make-test-os}'
+      - os-parameter:
+          os: '{os}'
+      - project-parameter:
+          project: '{project}'
+      - stream-parameter:
+          stream: '{stream}'
+
+    scm:
+      - gerrit-trigger-scm:
+          credentials-id: 'jenkins-gerrit-credentials'
+          refspec: ''
+          choosing-strategy: 'default'
+
+    wrappers:
+      - fdio-infra-wrappers:
+          build-timeout: '{build-timeout}'
+
+    triggers:
+      - timed: '{periodicity}'
+      - gerrit-trigger-manually-triggered:
+          comment-trigger-value: '{comment-trigger-value}'
+          name: '{project}'
+          branch: '{branch}'
+
+    builders:
+      - shell:
+          !include-raw-escape:
+          - ../scripts/setup_executor_env.sh
+      - shell:
+          !include-raw-escape:
+          - ../scripts/setup_vpp_ubuntu_docker_test.sh
+      - shell:
+          !include-raw-escape:
+          - ../scripts/vpp/dpdk-rdma-version-mismatch.sh
+
+    publishers:
+      - vpp-dpdk-rdma-version-mismatch:
+          branch: '{branch}'
+      - fdio-infra-publish
+# [end] VPP-DPDK-RDMA-VERSION-MISMATCH PERIODIC JOB TEMPLATE
+
 # VPP-MERGE JOB TEMPLATE
 - job-template:
     name: 'vpp-merge-{stream}-{os}-{executor-arch}'